Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 473528 - sys-process/iotop-0.6 version bump
Summary: sys-process/iotop-0.6 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Justin Lecher (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-16 21:45 UTC by Michael Weber (RETIRED)
Modified: 2013-06-18 06:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weber (RETIRED) gentoo-dev 2013-06-16 21:45:50 UTC
Adding --list-fixes to the 2to3 call reveals only this change. I think it's no longer needed. 

--- /tmp/portage/sys-process/iotop-0.6/work/iotop-0.6-python3_2/scripts/iotop   (original)
+++ /tmp/portage/sys-process/iotop-0.6/work/iotop-0.6-python3_2/scripts/iotop   (refactored)
@@ -3,7 +3,7 @@
 # Copyright (c) 2007, 2008 Guillaume Chazarain <guichaz@gmail.com>, GPLv2
 # See iotop --help for some help

-from __future__ import print_function
+
 import sys

 try:

corresponding NEWS entry 

2013-02-04  Paul Wise <pabs3@bonedaddy.net>
  
          * sbin/iotop: Fix python3 compatibility for iotop when installed
Comment 1 Michael Weber (RETIRED) gentoo-dev 2013-06-16 21:47:26 UTC
unfortunately, the setup.py fails with python3, dict.itervalues no longer exists and it should be safe to just call values instead. python2 dict.values is no iterator, but that shouldn't hurt.

--- iotop-0.5-r1.ebuild 2013-02-06 21:22:11.000000000 +0100
+++ iotop-0.6.ebuild    2013-06-16 23:35:46.203349062 +0200
@@ -25,9 +25,14 @@
        linux-info_pkg_setup
 }
 
+src_prepare() {
+       sed -e 's:itervalues:values:' \
+               -i setup.py || die
+}
+
 python_install() {
        if [[ ${EPYTHON} == *python3* ]]; then
-               2to3 -w -n "${BUILD_DIR}"/scripts/${PN} || die
+               2to3 -w -n --list-fixes "${BUILD_DIR}"/scripts/${PN} || die
        fi
        distutils-r1_python_install  --install-scripts="${EPREFIX}"/usr/sbin
 }
Comment 2 Justin Lecher (RETIRED) gentoo-dev 2013-06-18 06:24:40 UTC
+*iotop-0.6 (18 Jun 2013)
+
+  18 Jun 2013; Justin Lecher <jlec@gentoo.org> +iotop-0.6.ebuild,
+  +files/iotop-0.6-setup.py3.patch:
+  Version Bump, #473528
+